# SPDX-License-Identifier: MIT
%global source_version 1.8
%global source_release 24
%global source_url     http://arkandis.tuxfamily.org/adffonts.html

%global default_fonts_foundry  ADF
%global default_fonts_license  GPLv2+ with exceptions
%global default_fonts_licenses OTF/COPYING
%global default_fonts_docs     NOTICE.txt

%global common_description %{expand:
A Latin font family published by Hirwen Harendal’s Arkandis Digital Foundry,
Accanthis was inspired from the “Cloister Oldstyle” font family found in the
“American Specimen Book of Typefaces Suplement”. Its medium contrast is
sufficient to be reader-friendly and deliver an elegant and refined experience.

Accanthis is a modernized garaldic font family and is well suited to book
typesetting and refined presentations.}

%global fonts_family1             Accanthis
%global fonts_summary1            ADF Accanthis, a modernized garaldic serif font family, “Galliard” alternative
%global fonts_tags1               %{expand:
Obsoletes: adf-accanthis-fonts-common < %{version}-%{release}
}
%global fonts_fonts1              OTF/AccanthisADFStd-*.otf
%global fonts_experimental_confs1 60-%{fonts_name1}.xml
%global fonts_description1        %{expand:
%{?common_description}

This variant is intended to serve as alternative to the “Galliard” font family.}

%global fonts_family2             Accanthis-2
%global fonts_summary2            ADF Accanthis Nᵒ2, a modernized garaldic serif, “Horley old style” alternative
%global fonts_fonts2              OTF/AccanthisADFStdNo2-*.otf
%global fonts_experimental_confs2 60-%{fonts_name2}.xml
%global fonts_description2        %{expand:
%{?common_description}

This variant is closer to the “Horley old style” font family than the original
version.}

%global fonts_family3             Accanthis-3
%global fonts_summary3            ADF Accanthis Nᵒ3, a modernized garaldic serif font family
%global fonts_fonts3              OTF/AccanthisADFStdNo3-*.otf
%global fonts_experimental_confs3 60-%{fonts_name3}.xml
%global fonts_description3        %{expand:
%{?common_description}

This variant remixes a slightly modified Accanthis Nᵒ2 with elements from the
original Italic and changes to k, p, z and numbers.}

%global fonts_meta_all0 true

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf

%auto_init
%auto_pkg

%sourcelist
%global archive_name Accanthis-Std-20101124
http://arkandis.tuxfamily.org/fonts/%{archive_name}.zip
http://arkandis.tuxfamily.org/docs/Accanthis-Cat.pdf
60-%{fonts_name1}.xml
60-%{fonts_name2}.xml
60-%{fonts_name3}.xml
%auto_sources

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*{pdf,xml} .
%linuxtext NOTICE.txt OTF/COPYING

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
